Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26615/?format=api
{ "ob_id": 26615, "uuid": "b36ed14d0a204f4fa6b1d884a516b26e", "title": "Methane Observations and Yearly Assessments (MOYA): Methane measurements by the British Antarctic Survey from the Halley Research Station in Antarctica", "abstract": "This dataset contains methane concentration measurements from the British Antarctic Survey's Halley Research Station in Antarctica. The Picarro G2301 analyser was used for the measurement of Methane and located at the Clean Air Sector Laboratory (CASLab). Data times were averaged from the 1 minute data to provide hourly data sets. The UK participation of the Methane Observations and Yearly Assessments (MOYA) project was funded by the Natural Environment Research Council (NERC, grant: NE/N015584/1)", "keywords": "MOYA, Methane, BAS, Antarctica, Halley", "publicationState": "citable", "dataPublishedTime": "2018-10-12T08:41:55", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26616/?format=api", "dataPath": "/badc/moya/data/halley-methane", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1827539, "numberOfFiles": 6, "fileFormat": "Data are BADC-CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7165/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2290/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58105/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58106/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58107/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58108/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58109/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58110/?format=api" ], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/9693/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24718/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/24762/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111862/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111863/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111864/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111866/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111867/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111868/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111869/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111865/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168375/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111870/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/26614/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }